diff --git a/mozilla/browser/installer/unix/packages-static b/mozilla/browser/installer/unix/packages-static
index 65add5a..906b35f 100644
--- a/mozilla/browser/installer/unix/packages-static
+++ b/mozilla/browser/installer/unix/packages-static
@@ -211,6 +211,7 @@ bin/components/nsExtensionManager.js
 bin/components/nsUpdateService.js
 bin/components/extensions.xpt
 bin/components/update.xpt
+bin/components/libsystem-pref-gconf.so
 bin/components/nsBookmarkTransactionManager.js
 bin/components/nsSessionStartup.js
 bin/components/nsSessionStore.js
diff --git a/mozilla/browser/installer/unix/packages-static.orig b/mozilla/browser/installer/unix/packages-static.orig
new file mode 100644
index 0000000..65add5a
--- /dev/null
+++ b/mozilla/browser/installer/unix/packages-static.orig
@@ -0,0 +1,363 @@
+; Package file for Linux static Firefox build. 
+;
+; File format:
+;
+; [] designates a toplevel component. Example: [xpcom]
+; - in front of a file specifies it to be removed from the destination
+; * wildcard support to recursively copy the entire directory
+; ; file comment
+;
+
+#filter substitution
+
+bin/.autoreg
+
+[@AB_CD@]
+bin/chrome/@AB_CD@.jar
+bin/chrome/@AB_CD@.manifest
+bin/defaults/pref/firefox-l10n.js
+bin/defaults/existing-profile-defaults.js
+; If you add a new directory you must explicitly call addDirectory in ab-CD.jst
+bin/browserconfig.properties
+bin/old-homepage-default.properties
+bin/searchplugins/*
+bin/defaults/profile/bookmarks.html
+bin/defaults/profile/localstore.rdf
+bin/defaults/profile/prefs.js
+bin/defaults/profile/search.rdf
+bin/defaults/profile/mimeTypes.rdf
+bin/defaults/profile/chrome/*
+bin/updater.ini
+bin/dictionaries/*
+
+[xpcom]
+bin/libmozjs.so
+bin/libplc4.so
+bin/libplds4.so
+bin/libxpcom.so
+bin/libxpcom_core.so
+bin/libxpistub.so
+bin/libnspr4.so
+bin/components/libxpinstall.so
+bin/components/libjar50.so
+bin/libxpcom_compat.so
+
+[browser]
+; [Base Browser Files]
+bin/firefox-bin
+bin/firefox
+bin/mozilla-xremote-client
+bin/run-mozilla.sh
+bin/plugins/libnullplugin.so
+bin/res/cmessage.txt
+bin/xpicleanup
+
+; [Components]
+bin/components/accessibility.xpt
+bin/components/accessibility-atk.xpt
+bin/components/appshell.xpt
+bin/components/appstartup.xpt
+bin/components/autocomplete.xpt
+bin/components/autoconfig.xpt
+bin/components/bookmarks.xpt
+bin/components/browsercompsbase.xpt
+bin/components/browsersearch.xpt
+bin/components/browser-feeds.xpt
+bin/components/caps.xpt
+bin/components/chardet.xpt
+bin/components/chrome.xpt
+bin/components/commandhandler.xpt
+bin/components/commandlines.xpt
+bin/components/composer.xpt
+bin/components/content_base.xpt
+bin/components/content_htmldoc.xpt
+bin/components/content_html.xpt
+bin/components/content_xmldoc.xpt
+bin/components/content_xslt.xpt
+bin/components/content_xtf.xpt
+bin/components/cookie.xpt
+bin/components/directory.xpt
+bin/components/docshell.xpt
+bin/components/dom.xpt
+bin/components/dom_base.xpt
+bin/components/dom_canvas.xpt
+bin/components/dom_core.xpt
+bin/components/dom_css.xpt
+bin/components/dom_events.xpt
+bin/components/dom_html.xpt
+bin/components/dom_range.xpt
+bin/components/dom_sidebar.xpt
+bin/components/dom_storage.xpt
+bin/components/dom_stylesheets.xpt
+bin/components/dom_traversal.xpt
+bin/components/dom_views.xpt
+bin/components/dom_xbl.xpt
+bin/components/dom_xpath.xpt
+bin/components/dom_xul.xpt
+bin/components/dom_loadsave.xpt
+bin/components/downloads.xpt
+bin/components/editor.xpt
+bin/components/embed_base.xpt
+bin/components/exthandler.xpt
+bin/components/fastfind.xpt
+bin/components/feeds.xpt
+bin/components/filepicker.xpt
+bin/components/find.xpt
+bin/components/gfx.xpt
+bin/components/helperAppDlg.xpt
+bin/components/history.xpt
+bin/components/htmlparser.xpt
+bin/components/imglib2.xpt
+; bin/components/imgicon.xpt
+bin/components/intl.xpt
+bin/components/jar.xpt
+bin/components/jsconsole.xpt
+bin/components/libjsd.so
+bin/components/jsdservice.xpt
+bin/components/layout_base.xpt
+bin/components/layout_printing.xpt
+bin/components/layout_xul_tree.xpt
+bin/components/layout_xul.xpt
+bin/components/inspector.xpt
+bin/components/locale.xpt
+bin/components/lwbrk.xpt
+bin/components/microsummaries.xpt
+bin/components/migration.xpt
+bin/components/mimetype.xpt
+bin/components/mozbrwsr.xpt
+bin/components/mozfind.xpt
+bin/components/necko_about.xpt
+bin/components/necko_cache.xpt
+bin/components/necko_cookie.xpt
+bin/components/necko_data.xpt
+bin/components/necko_dns.xpt
+bin/components/necko_file.xpt
+bin/components/necko_ftp.xpt
+bin/components/necko_http.xpt
+bin/components/necko_jar.xpt
+bin/components/necko_res.xpt
+bin/components/necko_socket.xpt
+bin/components/necko_strconv.xpt
+bin/components/necko_viewsource.xpt
+bin/components/necko.xpt
+bin/components/oji.xpt
+bin/components/passwordmgr.xpt
+bin/components/places.xpt
+bin/components/plugin.xpt
+bin/components/prefetch.xpt
+bin/components/pref.xpt
+bin/components/progressDlg.xpt
+bin/components/proxyObjInst.xpt
+bin/components/toolkitremote.xpt
+bin/components/rdf.xpt
+bin/components/satchel.xpt
+bin/components/saxparser.xpt
+bin/components/search.xpt
+bin/components/shistory.xpt
+bin/components/storage.xpt
+bin/components/profile.xpt
+bin/components/toolkitprofile.xpt
+bin/components/txtsvc.xpt
+bin/components/txmgr.xpt
+bin/components/uconv.xpt
+bin/components/unicharutil.xpt
+bin/components/uriloader.xpt
+bin/components/webBrowser_core.xpt
+bin/components/webbrowserpersist.xpt
+bin/components/webshell_idls.xpt
+bin/components/websrvcs.xpt
+bin/components/widget.xpt
+bin/components/windowds.xpt
+bin/components/windowwatcher.xpt
+bin/components/xml-rpc.xpt
+bin/components/xpcom_base.xpt
+bin/components/xpcom_components.xpt
+bin/components/xpcom_ds.xpt
+bin/components/xpcom_io.xpt
+bin/components/xpcom_obsolete.xpt
+bin/components/xpcom_threads.xpt
+bin/components/xpcom_xpti.xpt
+bin/components/xpconnect.xpt
+bin/components/xpinstall.xpt
+bin/components/xremoteservice.xpt
+bin/components/xulapp.xpt
+bin/components/xuldoc.xpt
+bin/components/xultmpl.xpt
+bin/components/shellservice.xpt
+; JavaScript components
+bin/components/FeedProcessor.js
+bin/components/FeedConverter.js
+bin/components/FeedWriter.js
+bin/components/WebContentConverter.js
+bin/components/nsBrowserContentHandler.js
+bin/components/nsBrowserGlue.js
+bin/components/nsSetDefaultBrowser.js
+bin/components/nsMicrosummaryService.js
+bin/components/nsSearchService.js
+bin/components/nsSearchSuggestions.js
+bin/components/jsconsole-clhandler.js
+bin/components/nsCloseAllWindows.js
+bin/components/nsDictionary.js
+bin/components/nsFilePicker.js
+bin/components/nsHelperAppDlg.js
+bin/components/nsInterfaceInfoToIDL.js
+; bin/components/nsProgressDialog.js   not needed for firefox
+bin/components/nsProxyAutoConfig.js
+; bin/components/nsResetPref.js    not needed for firefox
+bin/components/nsSidebar.js
+; bin/components/nsUpdateNotifier.js not needed for firefox
+bin/components/nsXmlRpcClient.js
+bin/components/nsExtensionManager.js
+bin/components/nsUpdateService.js
+bin/components/extensions.xpt
+bin/components/update.xpt
+bin/components/nsBookmarkTransactionManager.js
+bin/components/nsSessionStartup.js
+bin/components/nsSessionStore.js
+bin/components/sessionstore.xpt
+bin/components/nsURLFormatter.js
+bin/components/urlformatter.xpt
+bin/components/nsDefaultCLH.js
+
+; Safe Browsing
+bin/components/nsSafebrowsingApplication.js
+bin/components/safebrowsing.xpt
+bin/components/nsUrlClassifierListManager.js
+bin/components/nsUrlClassifierLib.js
+bin/components/nsUrlClassifierTable.js
+bin/components/url-classifier.xpt
+
+; Kerberos NegotiateAuth
+bin/components/libauth.so
+
+; GNOME hooks
+bin/components/libmozgnome.so
+bin/components/mozgnome.xpt
+
+; [Browser Chrome Files]
+bin/chrome/browser.jar
+bin/chrome/browser.manifest
+bin/chrome/classic.jar
+bin/chrome/classic.manifest
+bin/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/install.rdf
+bin/chrome/comm.jar
+bin/chrome/comm.manifest
+bin/chrome/toolkit.jar
+bin/chrome/toolkit.manifest
+bin/chrome/icons/default/default.xpm
+bin/chrome/reporter.manifest
+bin/chrome/reporter.jar
+bin/defaults/pref/reporter.js
+
+; shell icons
+bin/icons/*.xpm
+bin/icons/*.png
+
+; [Default Preferences]
+; All the pref files must be part of base to prevent migration bugs
+bin/defaults/pref/firefox.js
+bin/defaults/pref/firefox-branding.js
+bin/defaults/pref/channel-prefs.js
+bin/greprefs/all.js
+bin/greprefs/security-prefs.js
+bin/greprefs/xpinstall.js
+bin/defaults/autoconfig/platform.js
+bin/defaults/autoconfig/prefcalls.js
+
+; [Layout Engine Resources]
+; Style Sheets, Graphics and other Resources used by the layout engine. 
+bin/res/hiddenWindow.html
+bin/res/ua.css
+bin/res/html.css
+bin/res/quirk.css
+bin/res/forms.css
+bin/res/platform-forms.css
+bin/res/EditorOverride.css
+bin/res/table-add-column-after-active.gif
+bin/res/table-add-column-after-hover.gif
+bin/res/table-add-column-after.gif
+bin/res/table-add-column-before-active.gif
+bin/res/table-add-column-before-hover.gif
+bin/res/table-add-column-before.gif
+bin/res/table-add-row-after-active.gif
+bin/res/table-add-row-after-hover.gif
+bin/res/table-add-row-after.gif
+bin/res/table-add-row-before-active.gif
+bin/res/table-add-row-before-hover.gif
+bin/res/table-add-row-before.gif
+bin/res/table-remove-column-active.gif
+bin/res/table-remove-column-hover.gif
+bin/res/table-remove-column.gif
+bin/res/table-remove-row-active.gif
+bin/res/table-remove-row-hover.gif
+bin/res/table-remove-row.gif
+bin/res/arrowd.gif
+bin/res/grabber.gif
+bin/res/viewsource.css
+bin/res/mathml.css
+bin/res/arrow.gif
+bin/res/loading-image.gif
+bin/res/broken-image.gif
+bin/res/fonts/*
+bin/res/dtd/*
+bin/res/html/*
+bin/res/unixcharset.properties
+bin/res/charsetalias.properties
+bin/res/charsetData.properties
+bin/res/langGroups.properties
+bin/res/language.properties
+bin/res/entityTables/*
+
+; svg
+bin/res/svg.css
+bin/components/dom_svg.xpt
+
+; spellchecker (may not be present)
+bin/components/libmyspell.so
+bin/components/spellchecker.xpt
+bin/components/libspellchecker.so
+
+; [Personal Security Manager]
+;
+bin/libnssckbi.so
+bin/components/pipboot.xpt
+bin/components/pipnss.xpt
+bin/components/pippki.xpt
+bin/libnss3.so
+bin/libsmime3.so
+bin/libsoftokn3.chk
+bin/libsoftokn3.so
+bin/libfreebl3.chk
+bin/libfreebl3.so
+bin/libssl3.so
+bin/chrome/pipnss.jar
+bin/chrome/pippki.jar
+bin/chrome/pippki.manifest
+
+; [Updater]
+;
+bin/updater
+
+; [Extensions]
+;
+bin/components/libnkgnomevfs.so
+bin/components/libauth.so
+
+; [Additional Developer Tools]
+[adt]
+bin/extensions/inspector@mozilla.org/install.rdf
+bin/extensions/inspector@mozilla.org/components/inspector-cmdline.js
+bin/extensions/inspector@mozilla.org/chrome.manifest
+bin/extensions/inspector@mozilla.org/chrome/inspector.jar
+bin/extensions/inspector@mozilla.org/defaults/preferences/inspector.js
+
+; [Additional Browsing Enhancements]
+[abe]
+
+[talkback]
+bin/README.txt,bin/readme.txt
+bin/extensions/talkback@mozilla.org/install.rdf
+bin/extensions/talkback@mozilla.org/chrome.manifest
+bin/extensions/talkback@mozilla.org/components/libqfaservices.so
+bin/extensions/talkback@mozilla.org/components/qfaservices.xpt
+bin/extensions/talkback@mozilla.org/components/talkback/*
diff --git a/mozilla/config/autoconf.mk.in b/mozilla/config/autoconf.mk.in
index becb493..9d6f480 100644
--- a/mozilla/config/autoconf.mk.in
+++ b/mozilla/config/autoconf.mk.in
@@ -226,6 +226,7 @@ MOZ_GNOMEUI_LIBS = @MOZ_GNOMEUI_LIBS@
 MOZ_GNOMEVFS_CFLAGS = @MOZ_GNOMEVFS_CFLAGS@
 MOZ_GNOMEVFS_LIBS = @MOZ_GNOMEVFS_LIBS@
 
+MOZ_ENABLE_GCONF = @MOZ_ENABLE_GCONF@
 MOZ_GCONF_CFLAGS = @MOZ_GCONF_CFLAGS@
 MOZ_GCONF_LIBS = @MOZ_GCONF_LIBS@
 
diff --git a/mozilla/configure.in b/mozilla/configure.in
index 023d919..3cf3106 100644
--- a/mozilla/configure.in
+++ b/mozilla/configure.in
@@ -4774,6 +4774,7 @@ then
         ])
     fi
 
+    AC_SUBST(MOZ_ENABLE_GCONF)
     AC_SUBST(MOZ_GCONF_CFLAGS)
     AC_SUBST(MOZ_GCONF_LIBS)
 
diff --git a/mozilla/extensions/pref/system-pref/src/gconf/nsSystemPrefService.cpp b/mozilla/extensions/pref/system-pref/src/gconf/nsSystemPrefService.cpp
index efac6dd..2c7f463 100644
--- a/mozilla/extensions/pref/system-pref/src/gconf/nsSystemPrefService.cpp
+++ b/mozilla/extensions/pref/system-pref/src/gconf/nsSystemPrefService.cpp
@@ -23,7 +23,7 @@
  *
  * Original Author: Bolian Yin (bolian.yin@sun.com)
  *
- * Contributor(s):
+ * Contributor(s): Robert O'Callahan/Novell (rocallahan@novell.com)
  *
  * Alternatively, the contents of this file may be used under the terms of
  * either the GNU General Public License Version 2 or later (the "GPL"), or
@@ -41,6 +41,7 @@
 
 #include <glib.h>
 #include <glib-object.h>
+#include <gconf/gconf-client.h>
 
 #include "plstr.h"
 #include "nsCOMPtr.h"
